vector v
matrix(20,6) tmp
	v = @columnextract(rsp_lvl_bp_upp_tr,9)
	colplace(tmp,v,3)
	v = @columnextract(rsp_lvl_bp_low_tr,9)
	colplace(tmp,v,1)
	v = @columnextract(rsp_lvl_bp_med_tr,9)
	colplace(tmp,v,2)	
	v = @columnextract(rsp_acc_rom_upp,1)
	colplace(tmp,v,6)		
	v = @columnextract(rsp_acc_rom_low,1)
	colplace(tmp,v,4)
	v = @columnextract(rsp_acc_rom_med,1)
	colplace(tmp,v,5)


' make graph
%name = "figure1"
%sample = "_5007"
	freeze({%name}{%sample}) tmp.line
	{%name}{%sample}.scale(l) range(-0.06, 0.01)
	'{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	{%name}{%sample}.elem(1) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(2) lcolor(red) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(3) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(4) lcolor(blue) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(5) lcolor(blue) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(6) lcolor(blue) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	'{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1) 
	{%name}{%sample}.name(2) B&P 1950:1 2007:1
	{%name}{%sample}.name(3) 
	{%name}{%sample}.name(4) 
	{%name}{%sample}.name(5) R&R 1950:1 2007:1
	{%name}{%sample}.name(6) 
'	{%name}{%sample}.legend -display
delete v

'******************************************************************************
vector v
matrix(20,6) tmp
	v = @columnextract(rsp_lvl_bp_upp_1_tr,9)
	colplace(tmp,v,3)
	v = @columnextract(rsp_lvl_bp_low_1_tr,9)
	colplace(tmp,v,1)
	v = @columnextract(rsp_lvl_bp_med_1_tr,9)
	colplace(tmp,v,2)	
	v = @columnextract(rsp_acc_rom_upp_1,1)
	colplace(tmp,v,6)		
	v = @columnextract(rsp_acc_rom_low_1,1)
	colplace(tmp,v,4)
	v = @columnextract(rsp_acc_rom_med_1,1)
	colplace(tmp,v,5)


' make graph
%name = "figure1"
%sample = "_5080"
	freeze({%name}{%sample}) tmp.line
	{%name}{%sample}.scale(l) range(-0.06, 0.01)
	'{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	{%name}{%sample}.elem(1) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(2) lcolor(red) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(3) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(4) lcolor(blue) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(5) lcolor(blue) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(6) lcolor(blue) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	'{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1) 
	{%name}{%sample}.name(2) B&P 1950:1 1980:4
	{%name}{%sample}.name(3) 
	{%name}{%sample}.name(4) 
	{%name}{%sample}.name(5) R&R 1950:1 1980:4
	{%name}{%sample}.name(6) 
'	{%name}{%sample}.legend -display

delete v

'******************************************************************************
vector v
matrix(20,6) tmp
	v = @columnextract(rsp_lvl_bp_upp_2_tr,9)
	colplace(tmp,v,3)
	v = @columnextract(rsp_lvl_bp_low_2_tr,9)
	colplace(tmp,v,1)
	v = @columnextract(rsp_lvl_bp_med_2_tr,9)
	colplace(tmp,v,2)	
	v = @columnextract(rsp_acc_rom_upp_2,1)
	colplace(tmp,v,6)		
	v = @columnextract(rsp_acc_rom_low_2,1)
	colplace(tmp,v,4)
	v = @columnextract(rsp_acc_rom_med_2,1)
	colplace(tmp,v,5)


' make graph
%name = "figure1"
%sample = "_8107"
	freeze({%name}{%sample}) tmp.line
	{%name}{%sample}.scale(l) range(-0.06, 0.01)
	'{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	{%name}{%sample}.elem(1) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(2) lcolor(red) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(3) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(4) lcolor(blue) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(5) lcolor(blue) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(6) lcolor(blue) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	'{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1) 
	{%name}{%sample}.name(2) B&P 1981:1 2007:1
	{%name}{%sample}.name(3) 
	{%name}{%sample}.name(4) 
	{%name}{%sample}.name(5) R&R 1981:1 2007:1
	{%name}{%sample}.name(6) 
'	{%name}{%sample}.legend -display

delete v


'******************************************************************************
graph {%name}.merge figure1_5007 figure1_5080 figure1_8107
figure1.align(2, 1, 1.5)
'{%name}.addtext(t) Figure 1: Different estimates of structural tax shocks in the narrative and the SVAR approaches

