delete fig_7*

vector v
matrix(26,3) tmp
	v = @columnextract(rsp_lvl_var_mra_low,2)
	colplace(tmp,v,1)
	v = @columnextract(rsp_lvl_var_mra_med,2)
	colplace(tmp,v,2)
	v = @columnextract(rsp_lvl_var_mra_upp,2)
	colplace(tmp,v,3)	
	


' make graph
%name = "fig_7"
%sample = "_a"
	freeze({%name}{%sample}) tmp.line
	{%name}{%sample}.scale(l) range(-0.05, 0.025)
	'{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	{%name}{%sample}.elem(1) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(2) lcolor(red) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(3) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
             {%name}{%sample}.draw(line,bottom) 6
	'{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1) 
	{%name}{%sample}.name(2) anticipated tax shock
	{%name}{%sample}.name(3) 
	
'	{%name}{%sample}.legend -display
delete v


'********************************************************
vector v
matrix(20,3) tmp
	v = @columnextract(rsp_lvl_var_mru_low,2)
	colplace(tmp,v,1)
	v = @columnextract(rsp_lvl_var_mru_med,2)
	colplace(tmp,v,2)
	v = @columnextract(rsp_lvl_var_mru_upp,2)
	colplace(tmp,v,3)	
	


' make graph
%name = "fig_7"
%sample = "_u"
	freeze({%name}{%sample}) tmp.line
	{%name}{%sample}.scale(l) range(-0.05, 0.025)
	'{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	{%name}{%sample}.elem(1) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.elem(2) lcolor(red) lpat(solid) lwidth(1)
	{%name}{%sample}.elem(3) lcolor(red) lpat(dash2) lwidth(1.5)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
            	'{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1) 
	{%name}{%sample}.name(2) unanticipated tax shock
	{%name}{%sample}.name(3) 
	
'	{%name}{%sample}.legend -display
delete v

graph fig_7.merge fig_7_u fig_7_a
fig_7.align(2,1,1)

