smpl 1950:1 2007:1

equation romer_filter.ls tt_rom c l_gg(-1 to -4) l_tt(-1 to -4) l_yy(-1 to -4) infl_q(-1 to -4) i(-1 to -4)
romer_filter.makeresids res_rom_filt

' make graph
smpl 1950:1 2007:1
%name = "figure3"
%sample = "_a"
graph {%name}{%sample}.line tt_rom 
	'{%name}{%sample}.scale(right) range(-0.05, 0.01)
	{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	'{%name}{%sample}.setelem(2) symbol(circle)
	{%name}{%sample}.elem(1) lcolor(black) lpat(solid) lwidth(2)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1)  R&R
	{%name}{%sample}.name(2) Blanchard-Perotti VAR
'	{%name}{%sample}.legend -display
	{%name}{%sample}.addtext(t) R& R shocks

%name = "figure3"
%sample = "_b"
graph {%name}{%sample}.line res_rom_filt
	'{%name}{%sample}.scale(right) range(-0.05, 0.01)
	{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	'{%name}{%sample}.setelem(2) symbol(circle)
	{%name}{%sample}.elem(1) lcolor(black) lpat(dash1) lwidth(2)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	{%name}{%sample}.legend(off)
	{%name}{%sample}.name(1)  R&R
	{%name}{%sample}.name(2) Blanchard-Perotti VAR
'	{%name}{%sample}.legend -display
	{%name}{%sample}.addtext(t) Residuals o f the reg re ssio n o f 	R&R shocks on Zt-i

	{%name}{%sample}.addtext(2.4, 2.65) Adjusted R Squared -0.02
	{%name}{%sample}.addtext(2.4, 2.83) F-Stat 0.76 (0.75)



graph {%name}.merge {%name}_a {%name}_b

