var var_romer2.ls 1 4 tt_rom l_yy
var_romer2.makeresids res_tt_rom res_gr_qgdp

' make graph
smpl 1950:1 2007:1
%name = "figure4"
%sample = "_a"
graph {%name}{%sample}.line tt_rom 
	'{%name}{%sample}.scale(right) range(-0.05, 0.01)
	{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	'{%name}{%sample}.setelem(2) symbol(circle)
	{%name}{%sample}.elem(1) lcolor(black) lpat(solid) lwidth(2)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	{%name}{%sample}.legend(off)
'	{%name}{%sample}.legend -display
	{%name}{%sample}.addtext(t) R& R shocks

%sample = "_b"
graph {%name}{%sample}.line res_rom_filt
	'{%name}{%sample}.scale(right) range(-0.05, 0.01)
	{%name}{%sample}.axis(l) grid
	{%name}{%sample}.option linepat	' need to set linepat
	'{%name}{%sample}.setelem(2) symbol(circle)
	{%name}{%sample}.elem(1) lcolor(black) lpat(dash1) lwidth(2)
	{%name}{%sample}.draw(line,left,rgb(180,180,180)) 0
	{%name}{%sample}.legend(off)
'	{%name}{%sample}.legend -display
	{%name}{%sample}.addtext(t) Residuals from the regression of 	R&R shocks on its own lags and the lags of log output.

	'{%name}{%sample}.addtext(2.4, 2.65) Adjusted R Squared -0.02
	'{%name}{%sample}.addtext(2.4, 2.83) F-Stat 0.76 (0.75)



graph {%name}.merge {%name}_a {%name}_b

